services:
  _defaults:
    autowire: true
    autoconfigure: true
    public: false

  extensionconfiguration.FullTypoScript:
    class: 'array'
    factory:
      - '@TYPO3\CMS\Extbase\Configuration\ConfigurationManager'
      - 'getConfiguration'
    arguments:
      $configurationType: 'FullTypoScript'

  WebitDe\DrbeckmannServices\:
    resource: '../Classes/*'

  WebitDe\DrbeckmannServices\Handler\FileImportHandler:
    public: true
    arguments:
      $resourceFactory: '@TYPO3\CMS\Core\Resource\ResourceFactory'
      $referenceIndex: '@TYPO3\CMS\Core\Database\ReferenceIndex'
      $fileNameValidator: '@TYPO3\CMS\Core\Resource\Security\FileNameValidator'
      $dataHandler: '@TYPO3\CMS\Core\DataHandling\DataHandler'

  WebitDe\DrbeckmannServices\PageTitle\PageTitleProvider:
    public: true

  WebitDe\DrbeckmannServices\Service\MetaTagService:
    public: true
    arguments:
      $metaTagRegistry: '@TYPO3\CMS\Core\MetaTag\MetaTagManagerRegistry'
      $cObject: '@TYPO3\CMS\Frontend\ContentObject\ContentObjectRenderer'
      $fullTypoScript: '@extensionconfiguration.FullTypoScript'

  WebitDe\DrbeckmannServices\Service\LanguageService:
    public: true
    arguments:
      $context: '@TYPO3\CMS\Core\Context\Context'

  WebitDe\DrbeckmannServices\DataProcessing\NavigationMenuProcessor:
    public: true
    arguments:
      $pageRepository: '@TYPO3\CMS\Core\Domain\Repository\PageRepository'
      $context: '@TYPO3\CMS\Core\Context\Context'
      $categoryRepository: '@WebitDe\DrbeckmannProducts\Domain\Repository\CategoryRepository'
